1. Herzlich willkommen bei WPDE.org, dem grössten und ältesten deutschsprachigen Community-Forum rund um das Thema WordPress. Du musst angemeldet oder registriert sein, um Beiträge verfassen zu können.
    Information ausblenden

Menüs können nicht mehr bearbeitet werden

Dieses Thema im Forum "Allgemeines" wurde erstellt von Achill, 16. November 2017.

  1. Achill

    Achill Well-Known Member

    Registriert seit:
    13. Februar 2016
    Beiträge:
    45
    Zustimmungen:
    0
    Hallo!

    Eben, 12:45, habe ich festgestellt -um 3:45 wurde automatisch auf WP 4.9 aktualisiert-, dass ich die Menüs nicht mehr richtig bearbeiten kann. Ich kann zwar Seiten hinzufügen, die bestehenden Menüeinträge bearbeiten und das Menü auch speichern - doch weder öffnet sich z.B. der Bereich "Individuelle Links" noch zeigt sich beim anklicken von "Ansicht anpassen" oder "Hilfe" oben rechts irgendeine Reaktion. Ich habe das im Firefox und Chrome probiert, in beiden Browsern das gleiche Verhalten. Auch habe ich im Firefox die WEb-Konsole aufgerufen, ohne da etwas entdecken zu können (bin allerdings auch nicht sonderlich firm darin...)

    Liegt's am Update oder ist irgendwas mit meiner Maschine?

    Danke für die Hilfe!

    Edit: Der Customizer zeigt nichts an...
     
    #1 Achill, 16. November 2017
    Zuletzt bearbeitet: 16. November 2017
  2. Achill

    Achill Well-Known Member

    Registriert seit:
    13. Februar 2016
    Beiträge:
    45
    Zustimmungen:
    0
    Edit: Das Problem tritt in einer Multisite-Umgebung auf der Main-Site auf. In einer Single-Installation mit gleichem Theme geht das alles, genauso wie auf einer User-Site des Netzwerks mit einem anderen Theme.

    Dann womöglich ein Plugin, das stört? Irgendwelche Ideen außer dem Standard-Verfahren (alles deaktivieren, dann aktivieren bis das Verhalten zutage tritt)?
     
  3. Achill

    Achill Well-Known Member

    Registriert seit:
    13. Februar 2016
    Beiträge:
    45
    Zustimmungen:
    0
    Nächstes Problem: Die Schaltfläche "Aktualisieren" ist verschwunden - ich kann die Änderungen an einer Seite nicht speichern.
    Was ist hier los? Wie kann ich auf WP 4.8.x downgraden?
     
  4. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    9.856
    Zustimmungen:
    1.301
    Konntest Du ein Plugin durch deaktivieren usw. identifizieren, an dem es liegt?

    Und was steht auf den einzelnen Seiten mit Problemen jeweils in der Browser-Konsole?
     
  5. Edi

    Edi Well-Known Member

    Registriert seit:
    26. Juli 2006
    Beiträge:
    3.728
    Zustimmungen:
    1
    Das letzte Backup vor dem Update auf 4.9 einspielen.
     
  6. Achill

    Achill Well-Known Member

    Registriert seit:
    13. Februar 2016
    Beiträge:
    45
    Zustimmungen:
    0
    Ja, auf diese Idee bin ich gestern Abend auch noch gekommen. Danke!

    Aktueller Stand:
    Testweise auf das Theme Twenty Seventeen umgeschaltet: Die Menüs konnten editiert werden, der Customizer läuft nicht und die "Aktualisieren"-Schaltfläche bleibt verschwunden.
    Zurück zum alten Theme zwecks Kreuzprüfung: Gleiches Verhalten.
    4 Plugins wurden in der Zwischenzeit aktualisiert. Doch was haben die mit dem Customizer oder der "Aktualisieren"-Schaltfläche zu tun?
    Mir bleibt wohl nichts anderes übrig als abzuwarten und Tee zu trinken bis sich die Probleme von selbst gelöst haben... ;)
    Nachvollziehbar ist mir das alles nämlich nicht...
    Ich habe "Seite erstellen" aufgerufen und dann mal die Konsole aufgerufen:

    [Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIDOMWindowUtils.addSheet]" nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VALUE)" location: "JS frame :: resource://gre/modules/ExtensionUtils.jsm :: runSafeSyncWithoutClone :: line 61" data: no] (unbekannt)
    [Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIDOMWindowUtils.addSheet]" nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VALUE)" location: "JS frame :: resource://gre/modules/ExtensionUtils.jsm :: runSafeSyncWithoutClone :: line 61" data: no] (unbekannt)
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538
    TypeError: e is undefined[Weitere Informationen] load-scripts.php:661:1538

    Ich habe keine Ahnung, was das zu bedeuten hat und ob's für das Problem relevant ist. Was ich allerdings festgestellt habe ist:
    1) der TypeError kommt immer wieder
    2) Ich benutze Firefox 56. In allen(!!) geöffneten Tabs erscheint rechts neben der Adresszeile das x mit dem Tooltip "Laden dieser Seite stoppen (Esc)". Hilft das den Spezialisten weiter?
    3) Das "x" auch auf dieser Site hier. Meine Site geschlossen, es erscheint wieder das Reload-symbol. Ich rufe diese Site hier auf - das "x" bleibt stehen.

    Danke und Gruß!
     
  7. Edi

    Edi Well-Known Member

    Registriert seit:
    26. Juli 2006
    Beiträge:
    3.728
    Zustimmungen:
    1
    Passiert das mit der Version 4.8?
     
  8. Achill

    Achill Well-Known Member

    Registriert seit:
    13. Februar 2016
    Beiträge:
    45
    Zustimmungen:
    0
    Ich habe jetzt mal den Chrome-Browser probiert, nachdem das Abschalten des Ad-Blockers auch nichts gebracht hat.

    Auch dort erscheint die "Aktualisieren"-Schaltfläche nicht.

    Dann den Customizer aufgerufen mit geöffneter Konsole:

    customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit:1 The certificate used to load https://philatpolis.net/wp-admin/customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit uses an SSL certificate that will be distrusted in an upcoming release of Chrome. Once distrusted, users will be prevented from loading this resource. See https://g.co/chrome/symantecpkicerts for more information.
    customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit:78 Slow network is detected. Fallback font will be used while loading: https://philatpolis.net/wp-includes/fonts/dashicons.ttf
    customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit:78 Slow network is detected. Fallback font will be used while loading: https://philatpolis.net/wp-content/plugins/nextgen-gallery/products/photocrati_nextgen/modules/nextgen_gallery_display/static/fonts/fontawesome-webfont.woff2?v=4.6.1
    customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit:78 Slow network is detected. Fallback font will be used while loading: https://philatpolis.net/wp-content/plugins/nextgen-gallery/products/photocrati_nextgen/modules/nextgen_gallery_display/static/fonts/fontawesome-webfont.woff?v=4.6.1
    customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit:78 Slow network is detected. Fallback font will be used while loading: https://philatpolis.net/wp-content/plugins/nextgen-gallery/products/photocrati_nextgen/modules/nextgen_gallery_display/static/fonts/fontawesome-webfont.ttf?v=4.6.1
    customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit:78 Slow network is detected. Fallback font will be used while loading: https://philatpolis.net/wp-content/plugins/publishpress/common/font/publishpress.woff
    customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit:78 Slow network is detected. Fallback font will be used while loading: https://philatpolis.net/wp-content/plugins/publishpress/common/font/publishpress.ttf
    customize.php?return=%2Fwp-admin%2Fpost.php%3Fpost%3D25%26action%3Dedit:78 Slow network is detected. Fallback font will be used while loading: https://philatpolis.net/wp-content/plugins/code-snippets/css/font/code-snippets.woff
    load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:9 JQMIGRATE: Migrate is installed, version 1.4.1
    mediaelement-and-player.min.js?ver=4.2.6-78496d1:12 Uncaught TypeError: Language code must have format 2-3 letters and. optionally, hyphen, underscore followed by 2 more letters
    at Object.s.language (mediaelement-and-player.min.js?ver=4.2.6-78496d1:12)
    at Object.o.5.15 (mediaelement-and-player.min.js?ver=4.2.6-78496d1:12)
    at i (mediaelement-and-player.min.js?ver=4.2.6-78496d1:12)
    at e (mediaelement-and-player.min.js?ver=4.2.6-78496d1:12)
    at mediaelement-and-player.min.js?ver=4.2.6-78496d1:12
    s.language @ mediaelement-and-player.min.js?ver=4.2.6-78496d1:12
    o.5.15 @ mediaelement-and-player.min.js?ver=4.2.6-78496d1:12
    i @ mediaelement-and-player.min.js?ver=4.2.6-78496d1:12
    e @ mediaelement-and-player.min.js?ver=4.2.6-78496d1:12
    (anonymous) @ mediaelement-and-player.min.js?ver=4.2.6-78496d1:12
    mediaelement-migrate.min.js?ver=4.9:1 Uncaught ReferenceError: MediaElementPlayer is not defined
    at mediaelement-migrate.min.js?ver=4.9:1
    at mediaelement-migrate.min.js?ver=4.9:1
    (anonymous) @ mediaelement-migrate.min.js?ver=4.9:1
    (anonymous) @ mediaelement-migrate.min.js?ver=4.9:1
    wp-mediaelement.min.js?ver=4.9:1 Uncaught TypeError: b(...).not(...).filter(...).mediaelementplayer is not a function
    at HTMLDocument.a (wp-mediaelement.min.js?ver=4.9:1)
    at i (load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:2)
    at Object.fireWith [as resolveWith] (load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:2)
    at Function.ready (load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:2)
    at HTMLDocument.K (load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:2)
    a @ wp-mediaelement.min.js?ver=4.9:1
    i @ load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:2
    fireWith @ load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:2
    ready @ load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:2
    K @ load-scripts.php?c=1&load[]=jquery-core,jquery-migrate,underscore,wp-a11y,wp-util,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,jquery-&load[]=ui-draggable,jquery-ui-droppable,backbone,wp-backbone,jquery-ui-slider,jquery-touch-punch,iris,wp-color-picker,wp-ajax-response,&load[]=jquery-color,wp-lists,postbox,nav-menu,shortcode,utils,media-models,moxiejs,plupload,wp-plupload&ver=4.9:2

    Hilft das?

    Edit: @Edi: Nein, 4.9
     
    #8 Achill, 17. November 2017
    Zuletzt bearbeitet: 17. November 2017
  9. Achill

    Achill Well-Known Member

    Registriert seit:
    13. Februar 2016
    Beiträge:
    45
    Zustimmungen:
    0
    Folgendes habe ich noch herausfinden können:
    Diese Meldung findet sich in der Konsole beim Bearbeiten einer Seite:
    TypeError: Language code must have format 2-3 letters and. optionally, hyphen, underscore followed by 2 more letters

    Im Seitenquelltext finde ich dies (meine Hervorhebung):
    var mejsL10n = {"language":"de-de-formal","strings":{"mejs.install-flash":"Sie verwenden einen Browser, der nicht den Flash-Player aktiviert oder installiert hat. Bitte aktivieren Sie Ihr Flash-Player-Plugin oder laden Sie die neueste Version von https:\/\/get.adobe.com\/flashplayer\/ herunter.","mejs.fullscreen-off":"Vollbild beenden","mejs.fullscreen-on":"Vollbild einschalten","mejs.download-video":"Video herunterladen","mejs.fullscreen":"Vollbild","mejs.time-jump-forward":["1 Sekunde vorw\u00e4rts springen","%1 Sekunden vorspringen"],"mejs.loop":"Schleife umschalten","mejs.play":"Abspielen","mejs.pause":"Pause","mejs.close":"Schlie\u00dfen","mejs.time-slider":"Zeit-Schieberegler","mejs.time-help-text":"Benutzen Sie die Pfeiltasten Links\/Rechts, um 1 Sekunde vorzuspringen, und die Pfeiltasten Hoch\/Runter, um 10 Sekunden vorzuspringen.","mejs.time-skip-back":["Eine Sekunde zur\u00fcckspringen","%1 Sekunde(n) zur\u00fcck springen"],"mejs.captions-subtitles":"Beschriftungen\/Untertitel","mejs.captions-chapters":"Kapitel","mejs.none":"Keine","mejs.mute-toggle":"Stumm schalten","mejs.volume-help-text":"Pfeiltasten Hoch\/Runter benutzen, um die Lautst\u00e4rke zu regeln.","mejs.unmute":"Laut schalten","mejs.mute":"Stumm","mejs.volume-slider":"Lautst\u00e4rkeregler","mejs.video-player":"Video-Player","mejs.audio-player":"Audio-Player","mejs.ad-skip":"Werbung \u00fcberspringen","mejs.ad-skip-info":["In einer Sekunde \u00fcberspringen","In %1 Sekunden \u00fcberspringen"],"mejs.source-chooser":"Quellen-Auswahl","mejs.stop":"Stopp","mejs.speed-rate":"\u00dcbertragungsrate","mejs.live-broadcast":"Live-\u00dcbertragung","mejs.afrikaans":"Afrikaans","mejs.albanian":"Albanisch","mejs.arabic":"Arabisch","mejs.belarusian":"Wei\u00dfrussisch","mejs.bulgarian":"Bulgarisch","mejs.catalan":"Katalanisch","mejs.chinese":"Chinesisch","mejs.chinese-simplified":"Chinesisch (Vereinfacht)","mejs.chinese-traditional":"Chinesisch (Traditionell)","mejs.croatian":"Kroatisch","mejs.czech":"Tschechisch","mejs.danish":"D\u00e4nisch","mejs.dutch":"Niederl\u00e4ndisch","mejs.english":"Englisch","mejs.estonian":"Estnisch","mejs.filipino":"Philippinisch","mejs.finnish":"Finnisch","mejs.french":"Franz\u00f6sisch","mejs.galician":"Galizisch","mejs.german":"Deutsch","mejs.greek":"Griechisch","mejs.haitian-creole":"Haitianisches Kreolisch","mejs.hebrew":"Hebr\u00e4isch","mejs.hindi":"Hindi","mejs.hungarian":"Ungarisch","mejs.icelandic":"Isl\u00e4ndisch","mejs.indonesian":"Indonesisch","mejs.irish":"Irisch","mejs.italian":"Italienisch","mejs.japanese":"Japanisch","mejs.korean":"Koreanisch","mejs.latvian":"Lettisch","mejs.lithuanian":"Litauisch","mejs.macedonian":"Mazedonisch","mejs.malay":"Malaiisch","mejs.maltese":"Maltesisch","mejs.norwegian":"Norwegisch","mejs.persian":"Persisch","mejs.polish":"Polnisch","mejs.portuguese":"Portugiesisch","mejs.romanian":"Rum\u00e4nisch","mejs.russian":"Russisch","mejs.serbian":"Serbisch","mejs.slovak":"Slowakisch","mejs.slovenian":"Slowenisch","mejs.spanish":"Spanisch","mejs.swahili":"Suaheli","mejs.swedish":"Schwedisch","mejs.tagalog":"Tagalog","mejs.thai":"Thail\u00e4ndisch","mejs.turkish":"T\u00fcrkisch","mejs.ukrainian":"Ukrainisch","mejs.vietnamese":"Vietnamesisch","mejs.welsh":"Walisisch","mejs.yiddish":"Jiddisch"}};

    In einer Usersite des netzwerks taucht dieses Javascript beim Bearbeiten einer Seite nicht auf - und der "Veröffentlichen"-Button ist zu sehen.

    Auch im nicht funktionierenden Customizer der Netzwerk-Hauptseite erscheint dieses Javascript. Ist es die Ursache? Wo kommt das her? Von einem Plugin? Das einzige, was ich mir da denken kann, ist NextGenGallery, das Netzwerkweit aktiviert ist. Doch ein Deaktivieren verändert nichts.

    Hilft das?
     
  10. b3317133

    b3317133 Well-Known Member

    Registriert seit:
    21. November 2014
    Beiträge:
    9.856
    Zustimmungen:
    1.301
    Ein Bug in 4.9, siehe auch hier bei "break when using languages with formal/informal variations" bzw. das entspr. Ticket. Empfehlung: Rollback zu 4.8.x
     
  11. Achill

    Achill Well-Known Member

    Registriert seit:
    13. Februar 2016
    Beiträge:
    45
    Zustimmungen:
    0
    Danke, b3317133!

    Ich folge zunächst dem im Ticket angegebenen Workaround und habe auf meinem Profil die Sprache von "Website-Einstellung" auf "Deutsch" geändert.

    Customizer läuft wieder, Seiten können Veröffentlicht/Aktualisiert werden.

    Das Problem ist somit gelöst, für 4.9.1 ist die Behebung angekündigt.

    Vielen Dank und möge es anderen helfen.
     
  12. m266

    m266 Well-Known Member

    Registriert seit:
    21. April 2010
    Beiträge:
    533
    Zustimmungen:
    11
    Da war Achill schneller :)
    Ich habe auch diesen Beitrag https://core.trac.wordpress.org/ticket/42574 gelesen und ausprobiert. Geht :)
    Mein Theme hatte Deutsch(Sie) eingestellt und mit der Umstellung auf Deutsch läuft es. Trotzdem werde ich mit dem Update noch warten.
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden